# Font ID [#font-id]

The Font ID endpoint allows you to retrieve detailed information about a specific font supported by Fontsource.

## HTTP Request [#http-request]

* `GET https://api.fontsource.org/v1/fonts/{id}`

## Response [#response]

The API response for the Font ID endpoint is a JSON object that provides comprehensive details about the font.

### Attributes: [#attributes]

Returns an object with:

| Attribute    | Type                    | Description          |
| ------------ | ----------------------- | -------------------- |
| id           | string                  | The font ID          |
| family       | string                  | The font family      |
| subsets      | string\[]               | Language subsets     |
| weights      | number\[]               | Font weights         |
| styles       | string\[]               | Font styles          |
| unicodeRange | Record\<string, string> | Unicode range        |
| defSubset    | string                  | Default subset       |
| variable     | boolean                 | Is the font variable |
| lastModified | string                  | Last modified date   |
| category     | string                  | Font category        |
| version      | string                  | Font version         |
| type         | string                  | Font type            |
| variants     | Record\<string, object> | File variants        |

<br />

Variants is an object that creates records starting with `weight`, `style`, `subset` followed by a URL object containing each supported file format (`woff2`, `woff`, `ttf`).

### Response example: [#response-example]

```json
{
  "id": "abel",
  "family": "Abel",
  "subsets": ["latin"],
  "weights": [400],
  "styles": ["normal"],
  "unicodeRange": {
    "latin": "U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD"
  },
  "defSubset": "latin",
  "variable": false,
  "lastModified": "2020-09-10",
  "category": "sans-serif",
  "version": "v12",
  "type": "google",
  "variants": {
    "400": {
      "normal": {
        "latin": {
          "url": {
            "woff2": "https://cdn.jsdelivr.net/fontsource/fonts/abel@latest/latin-400-normal.woff2",
            "woff": "https://cdn.jsdelivr.net/fontsource/fonts/abel@latest/latin-400-normal.woff",
            "ttf": "https://cdn.jsdelivr.net/fontsource/fonts/abel@latest/latin-400-normal.ttf"
          }
        }
      }
    }
  }
}
```

### Example: [#example]

* `GET https://api.fontsource.org/v1/fonts/abel`
* `GET https://api.fontsource.org/v1/fonts/open-sans`
